Subject: bug#65852: 30.0.50; image-auto-resize :type has choices in wrong order

From: Stefan Kangas <[email-masked]>
Date: Sun, 10 Sep 2023 07:24:52 -0700

Mauro Aranda <[email-masked]> writes:

> I was waiting to get a bug number assigned, so I could add it in the
> commit message.  I don't know if there's any other way to do it.

That's the only way to do it, as far as I know.  Thanks for doing that,
because it does save us time when installing patches.

I guess it was me that was a bit quick here.

> I worked on something like that for elint.el, based on the wishlist on
> Bug#2591: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=2591
>
> But I know it might be better to make it so that the byte-compiler
> warns, so I never posted it.

I'm not sure if elint.el is used all that much, but I might be wrong.

Mattias, do you think it would make sense to add some warnings for
defcustom types to the byte-compiler?  If so, I guess we'd want to limit
ourselves to flagging obvious errors.